用户管理 API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 21 个端点
GET /system/user
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /system/user
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqAddUserDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /system/user
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdateUserDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/user/{userId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
userId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /system/user/{userIds}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
userIds | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/authRole
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/user/authRole/{userId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
userId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/changeStatus
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqChangeStatusDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /system/user/export
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
PaginationDto | body | string | ✅ |
请求体
json
{
"$ref": "#/components/schemas/ReqUserListDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /system/user/importData
无描述
响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /system/user/importTemplate
无描述
响应
| 状态码 | 说明 |
|---|---|
| 201 |
GET /system/user/list
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/user/profile
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/profile
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdataSelfDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/user/profile/{userId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
userId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /system/user/profile/avatar
无描述
响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /system/user/profile/phone
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdatePhone"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/profile/setPwd
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/profile/updatePwd
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/resetPwd
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqResetPwdDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /system/user/userTag
无描述
请求体
json
{
"$ref": "#/components/schemas/UpdateUserTags"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |